from cpl_core.logging import LoggingSettings, LoggingLevelEnum


class FileLoggingSettings(LoggingSettings):
    def __init__(
        self,
        key: str,
        path: str = None,
        filename: str = None,
        console_log_level: LoggingLevelEnum = None,
        file_log_level: LoggingLevelEnum = None,
    ):
        LoggingSettings.__init__(self, path, filename, console_log_level, file_log_level)

        self._key = key

    @property
    def key(self) -> str:
        return self._key
